Bug 335830 - Pseudo Infinite canvas feature creates too big image on lower zoom levels
Summary: Pseudo Infinite canvas feature creates too big image on lower zoom levels
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-05 10:35 UTC by Paul Geraskin
Modified: 2014-06-06 06:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Geraskin 2014-06-05 10:35:36 UTC
Hi devs.

Pseudo Infinite canvas feature creates too big image on lower zoom levels.
Issues:
- Canvas expands more than 100% of initial canvas. I would like to have expansion about 20% of the initial canvas.
- If i press left button of expansion - it expands to top and to bottom either. We need to expand only on one side.

Here is my explanation: http://i.imgur.com/FtghkH5.png

Dmitry confirmed this is an issue.

Thanks.
Comment 1 Dmitry Kazakov 2014-06-06 06:43:12 UTC
Git commit 9e6307cee61ded62efd684146789d7dba93e40f2 by Dmitry Kazakov.
Committed on 06/06/2014 at 06:41.
Pushed by dkazakov into branch 'krita-testing-kazakov'.

Limit Pseudo Infinite canvas feature not to create too huge images

The changes:

1) The expansion is now limited by 100%. This is actually quite
   easy way to double the dimension of the image: zoom out, move
   to one side, press the button and one dimension of the image
   is doubled!

2) If you press only on one side panel, then the image will be expanded
   into exactly *one* direction. This allows you to expand an image in
   a single dimension only.

3) If you press in the corner of the canvas (that is on two panels at
   once), the image will be expanded in two corresponding dimensions.

CCMAIL:kimageshop@kde.org

M  +41   -7    krita/ui/canvas/kis_infinity_manager.cpp
M  +11   -1    krita/ui/canvas/kis_infinity_manager.h

http://commits.kde.org/calligra/9e6307cee61ded62efd684146789d7dba93e40f2